webentwicklung-frage-antwort-db.com.de

jfxrt.jar nicht in JDK 1.8?

Ich habe gerade mein JDK auf das JDK 1.8 aktualisiert, weil ich die von Java FX benötigte jfxrt.jar in der Version 1.7 nicht finden konnte.

Ich habe das JDK von hier heruntergeladen: http://www.Oracle.com/technetwork/Java/javase/downloads/jdk8-downloads-2133151.html

Speziell die Version: Jdk-8u5-linux-i586.rpm

Ich benutze opensuse 13.1 übrigens.

Nach der Installation enthält mein usr/Java/jdk1.9_05/lib immer noch nicht die jfxrt.jar.

Hat jemand eine Idee warum, habe ich gelesen, dass diese Version eigentlich enthalten sollte. Kann ich dieses Problem beheben, wenn das Glas manuell hineingestellt wird?

16
Jakob Abfalter

Für mich unter OSX ist es unter jdk1.8.0_05.jdk/Contents/Home/jre/lib/ext/jfxrt.jar. Ich vermute, es ist an einer analogen Stelle auf Ihrer Maschine. /usr/Java/jdk1.8.0_05/jre/lib/ext/jfxrt.jar ausprobieren

26
awksp

Ich benutze linuxmint 18.1 und ich hatte das gleiche Problem. mir wurde klar, dass das offene jdk, das ich nicht besaß, die jfxrt.jar-Bibliothek hatte .. Laden Sie ein weiteres jdk von Oracle herunter und installieren Sie es. Denken Sie daran, den Pfad in der Datei netbeans.conf im Installationsordner von netbeans zu ändern.

1
W. KIJEDI

Sie müssen requires jfxrt; Zu Ihrer Modulinfo hinzufügen, wenn Sie nach dem Hinzufügen von jfxrt.jar Probleme haben